Bug 875751 - Support Digital Signatures (jUDDI enhancement)
Support Digital Signatures (jUDDI enhancement)
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 5.3.1
Assigned To: tcunning
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-12 09:29 EST by Rick Wagner
Modified: 2015-11-02 03:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
The upgrade to jUDDI 3.1.4 adds additional tables in order to support digital signatures. The files: add-juddi-tables.*.txt provided in the distribution contain the SQL commands that will create the additional tables when upgrading from SOA-P 5.3.0 to SOA-P 5.3.1.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rick Wagner 2012-11-12 09:29:14 EST
This BZ is a Product-tracker for community issue JUDDI-549.

Patch to store individual signature fields in the JUDDI DB (X509 support only for the moment).
Comment 2 Julian Coleman 2012-12-12 10:29:37 EST
jUDDI 3.1.4 adds new tables for signatures.

We need to check that jUDDI 3.1.4 can be run with only the tables created with jUDDI 3.1.3, or if the database must be updated.
Comment 3 Julian Coleman 2012-12-19 09:42:06 EST
Update files added with revision 11653 of:
  main/assembly/soa.zip.xml
  main/resources/soa-p/add-juddi-tables.db2.txt
  main/resources/soa-p/add-juddi-tables.mysql.txt
  main/resources/soa-p/add-juddi-tables.oracle9.txt
  main/resources/soa-p/add-juddi-tables.postgres.txt
  main/resources/soa-p/add-juddi-tables.sqlserver.txt
  main/resources/soa-p/add-juddi-tables.sybase.txt

Commit message:

  BZ-875751
  Add files containing jUDDI 3.1.4 table additions, and include them in the
  platform.
Comment 4 Jiri Sedlacek 2013-01-29 09:34:59 EST
verified in SOA-P-5.3.1.ER4

Note You need to log in before you can comment on or make changes to this bug.